[blfs-support] pycairo 1.10.0 build issues

Wayne Blaszczyk wblaszcz at bigpond.net.au
Wed Mar 26 03:28:18 PDT 2014


On 03/26/14 21:20, Wayne Blaszczyk wrote:
> Hi All,
> 
> I'm having trouble building pycairo. I have both Python 2.7 and 3.4
> installed.
> When executing PYTHON=/usr/bin/python3 ./waf configure --prefix=/usr, I
> get the following error:
> 
>   ./options()
> Setting top to                           : /sources/pycairo-1.10.0
> Setting out to                           :
> /sources/pycairo-1.10.0/build_directory
>   ./configure()
> Checking for 'gcc' (c compiler)          : ok
> Checking for program python              : /usr/bin/python3
> python executable '/usr/bin/python3' different from sys.executable
> '/usr/bin/python'
> Checking for python version              : (3, 4, 0, 'final', 0)
> Checking for library python3.4 in LIBDIR : not found
> Checking for library python3.4 in python_LIBPL : not found
> Checking for library python3.4 in $prefix/libs : not found
> Checking for library python3.4m in LIBDIR      : yes
> Checking for program python3.4-config          : /usr/bin/python3.4-config
> command ['/usr/bin/python3', '/usr/bin/python3.4-config', '--includes']
> returned 1
> 
> Has anyone else come across this issue?
> 
> Regards,
> Wayne.
> 

I've just found this:
https://bugs.gentoo.org/show_bug.cgi?id=504342
I'll raise a ticket.

Wayne.



More information about the blfs-support mailing list